Bug 1087427 (CVE-2014-2412) - CVE-2014-2412 OpenJDK: AWT thread context handling (AWT, 8025010)
Summary: CVE-2014-2412 OpenJDK: AWT thread context handling (AWT, 8025010)
Status: CLOSED ERRATA
Alias: CVE-2014-2412
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140415,repo...
Keywords: Security
Depends On:
Blocks: 1082776
TreeView+ depends on / blocked
 
Reported: 2014-04-14 10:22 UTC by Stefan Cornelius
Modified: 2019-06-08 19:59 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-10 15:02:22 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0406 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-04-16 15:24:01 UTC
Red Hat Product Errata RHSA-2014:0407 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-04-16 15:23:49 UTC
Red Hat Product Errata RHSA-2014:0408 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2014-04-16 15:34:59 UTC
Red Hat Product Errata RHSA-2014:0412 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2014-04-17 13:28:34 UTC
Red Hat Product Errata RHSA-2014:0413 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 19:38:34 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC
Red Hat Product Errata RHSA-2014:0486 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-05-13 23:47:47 UTC
Red Hat Product Errata RHSA-2014:0508 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2014-05-15 21:28:29 UTC
Red Hat Product Errata RHSA-2014:0509 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2014-05-15 22:19:35 UTC
Red Hat Product Errata RHSA-2014:0675 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-06-10 16:13:04 UTC
Red Hat Product Errata RHSA-2014:0685 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2014-06-10 16:34:29 UTC
Red Hat Product Errata RHSA-2014:0705 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2014-06-10 17:07:11 UTC
Red Hat Product Errata RHSA-2014:0982 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2014-07-29 19:40:11 UTC

Description Stefan Cornelius 2014-04-14 10:22:32 UTC
It was discovered that the AWT toolkit did not properly handle the
toolkit threads. An untrusted Java application or applet could possibly
use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2014-04-16 06:58:11 UTC
Fixed now in Oracle Java SE 5.0u75, 6u75, 7u55 and 8u5 via Oracle Critical Patch Update Advisory - April 2014.

Fixed in IcedTea6 1.13.3 and IcedTea7 2.4.7:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-April/027214.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-April/027222.html

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html#AppendixJAVA

Comment 2 errata-xmlrpc 2014-04-16 11:28:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0407 https://rhn.redhat.com/errata/RHSA-2014-0407.html

Comment 3 errata-xmlrpc 2014-04-16 11:30:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0406 https://rhn.redhat.com/errata/RHSA-2014-0406.html

Comment 4 errata-xmlrpc 2014-04-16 11:38:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0408 https://rhn.redhat.com/errata/RHSA-2014-0408.html

Comment 5 errata-xmlrpc 2014-04-17 09:32:01 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0413 https://rhn.redhat.com/errata/RHSA-2014-0413.html

Comment 6 errata-xmlrpc 2014-04-17 09:34:46 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2014:0412 https://rhn.redhat.com/errata/RHSA-2014-0412.html

Comment 7 Stefan Cornelius 2014-04-17 10:13:48 UTC
OpenJDK upstream commit:
http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/a0437212e7dc

Comment 8 errata-xmlrpc 2014-04-17 11:46:20 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html

Comment 9 errata-xmlrpc 2014-05-13 19:49:05 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0486 https://rhn.redhat.com/errata/RHSA-2014-0486.html

Comment 10 errata-xmlrpc 2014-05-15 17:30:18 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0508 https://rhn.redhat.com/errata/RHSA-2014-0508.html

Comment 11 errata-xmlrpc 2014-05-15 18:23:07 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0509 https://rhn.redhat.com/errata/RHSA-2014-0509.html

Comment 12 errata-xmlrpc 2014-06-10 12:14:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0675 https://rhn.redhat.com/errata/RHSA-2014-0675.html

Comment 13 errata-xmlrpc 2014-06-10 12:39:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0685 https://rhn.redhat.com/errata/RHSA-2014-0685.html

Comment 14 errata-xmlrpc 2014-06-10 13:14:53 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:0705 https://rhn.redhat.com/errata/RHSA-2014-0705.html

Comment 15 errata-xmlrpc 2014-07-29 15:42:50 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0982 https://rhn.redhat.com/errata/RHSA-2014-0982.html


Note You need to log in before you can comment on or make changes to this bug.